Update glib dep to 2.22 in configure.ac
[babeltrace.git] / configure.ac
1 # -*- Autoconf -*-
2 # Process this file with autoconf to produce a configure script.
3
4 AC_INIT([babeltrace], [0.1], [mathieu dot desnoyers at efficios dot com])
5 AC_CONFIG_AUX_DIR([config])
6 AC_CANONICAL_TARGET
7 AC_CANONICAL_HOST
8 AM_INIT_AUTOMAKE([foreign dist-bzip2 no-dist-gzip])
9 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
10
11 AC_CONFIG_MACRO_DIR([m4])
12
13 AM_PROG_MKDIR_P
14
15 AC_CONFIG_HEADERS([config.h])
16
17 # Checks for programs.
18 AC_PROG_CC
19 AC_PROG_MAKE_SET
20 AC_PROG_LIBTOOL
21 AC_PROG_YACC
22 AC_PROG_LEX
23
24 AC_DEFUN([AC_PROG_BISON], [AC_CHECK_PROGS(BISON, bison, bison)])
25
26 AM_PATH_GLIB_2_0(2.22.0, ,AC_MSG_ERROR([glib is required in order to compile BabelTrace - download it from ftp://ftp.gtk.org/pub/gtk]) , gmodule)
27
28 # Checks for typedefs, structures, and compiler characteristics.
29 AC_C_INLINE
30 AC_TYPE_PID_T
31 AC_TYPE_SIZE_T
32
33 # Checks for library functions.
34 AC_FUNC_MALLOC
35 AC_FUNC_MMAP
36 AC_CHECK_FUNCS([bzero gettimeofday munmap strtoul])
37
38 # Check libuuid
39 AC_CHECK_LIB([uuid], [uuid_generate], [],
40 [AC_MSG_ERROR([Cannot find libuuid. Use [LDFLAGS]=-Ldir to specify its location.])]
41 )
42
43 pkg_modules="gmodule-2.0 >= 2.0.0"
44 PKG_CHECK_MODULES(GMODULE, [$pkg_modules])
45 AC_SUBST(PACKAGE_LIBS)
46
47 LIBS="$LIBS $GMODULE_LIBS"
48 PACKAGE_CFLAGS="$GMODULE_CFLAGS -Wall -Wformat"
49 AC_SUBST(PACKAGE_CFLAGS)
50
51 AC_CONFIG_FILES([
52 Makefile
53 types/Makefile
54 formats/Makefile
55 formats/ctf/Makefile
56 formats/ctf/types/Makefile
57 formats/ctf-text/Makefile
58 formats/ctf-text/types/Makefile
59 formats/ctf/metadata/Makefile
60 converter/Makefile
61 tests/Makefile
62 ])
63 AC_OUTPUT
This page took 0.046677 seconds and 5 git commands to generate.